Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 178796 - Large core dump created on 32-bit x86-64 not usable on x86
Summary: Large core dump created on 32-bit x86-64 not usable on x86
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdb
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alexandre Oliva
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks: 181409 190547 194343
TreeView+ depends on / blocked
 
Reported: 2006-01-24 14:25 UTC by Bastien Nocera
Modified: 2015-01-08 00:11 UTC (History)
4 users (show)

Fixed In Version: RHBA-2006-0429
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-10 21:17:43 UTC
Target Upstream Version:


Attachments (Terms of Use)
mmap_all.c (deleted)
2006-01-24 14:25 UTC, Bastien Nocera
no flags Details
mmap_all.bz2 (deleted)
2006-01-24 14:27 UTC, Bastien Nocera
no flags Details
core.21435.bz2 (deleted)
2006-01-24 14:28 UTC, Bastien Nocera
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0429 normal SHIPPED_LIVE gdb bug fix update 2006-08-09 04:00:00 UTC

Description Bastien Nocera 2006-01-24 14:25:42 UTC
gdb-6.3.0.0-1.96

1. Compile attached testcase in 32-bit mode on x86-64
gcc -g -m32 -o mmap_all mmap_all.c

2. Set the maximum core dump size
ulimit -c unlimited

3. Run the testcase and wait for the 2.7 gigs core dump to be created
./mmap_all

4. Get a backtrace from the core dump on the x86-64
$ gdb ./mmap_all core.21435
GNU gdb Red Hat Linux (6.3.0.0-1.63rh)
<snip>
#0  0xffffe410 in __kernel_vsyscall ()
(gdb) bt
#0  0xffffe410 in __kernel_vsyscall ()
#1  0x00b407d5 in raise () from /lib/tls/libc.so.6
#2  0x00b42149 in abort () from /lib/tls/libc.so.6
#3  0x08048596 in main ()

5. Copy the core dump and the binary to an x86 machine
6. Try to gather a backtrace from the coredump
$ gdb ./mmap_all core.21435
GNU gdb Red Hat Linux (6.3.0.0-1.96rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib/tls/libthread_db.so.1".


warning: exec file is newer than core file.
Reading symbols from shared object read from target memory...(no debugging
symbols found)...done.
Loaded system supplied DSO at 0xffffe000
Core was generated by `./mmap_all'.
Program terminated with signal 6, Aborted.
BFD: BFD 2.15.93 20041018 internal error, aborting at ../../gdb-6.3/bfd/cache.c
line 495 in bfd_cache_lookup_worker

BFD: Please report this bug.

Comment 1 Bastien Nocera 2006-01-24 14:25:43 UTC
Created attachment 123613 [details]
mmap_all.c

Comment 2 Bastien Nocera 2006-01-24 14:27:22 UTC
Created attachment 123614 [details]
mmap_all.bz2

mmap_all binary created on x86-64

Comment 3 Bastien Nocera 2006-01-24 14:28:30 UTC
Created attachment 123616 [details]
core.21435.bz2

core dump created by mmap_all and the kernel on x86-64
Watch out, 2.7 gigs unpacked

Comment 10 Bob Johnson 2006-04-11 16:51:46 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.

Comment 15 Red Hat Bugzilla 2006-08-10 21:17:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0429.html



Note You need to log in before you can comment on or make changes to this bug.